package be.tarsos.dsp.android;

public class SoundPlayer {
	
    static {
        System.loadLibrary("soundmodule");
    }
    private final AudioPlayer p;
    
    public SoundPlayer(){
    	p = new AudioPlayer();
    	createAudioEngine();
    	createAudioPlayer();
    }
    
    public void playSound(boolean playNative){
    	if(playNative){
    		queueSawtooth();
    	}else{
    		p.play();
    	}
    }
	
	//new interface
	public native void createAudioEngine();
	public native void createAudioPlayer();
	public native boolean queueSawtooth();
	public native void destroyAll();
	

	//old interface
	//public native int playSound(int value);
	//public native int destroy(int value);
}
